Package org.eclipse.cdt.core.resources

## Enum ExclusionType

- java.lang.Object
- - java.lang.Enum<ExclusionType>
  - - org.eclipse.cdt.core.resources.ExclusionType

All Implemented Interfaces:
  `Serializable`, `Comparable<ExclusionType>`

    public enum ExclusionType
    extends Enum<ExclusionType>

Indicates the type of resources that this exclusion can exclude. Used to determine which type of icon is displayed in the exclusion UI when this exclusion is present. EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the CDT team.

Since:
  5.3

### Enum Constant Summary

Enum Constants
`FILE` Constant indicating that this exclusion only excludes folders.
`FOLDER` Constant indicating that this exclusion only excludes folders.
`RESOURCE` Constant indicating that this exclusion can exclude any resource.

### Method Summary

All Methods Static Methods Concrete Methods
`static ExclusionType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ExclusionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FILE

    public static final ExclusionType FILE

Constant indicating that this exclusion only excludes folders.

#### FOLDER

    public static final ExclusionType FOLDER

Constant indicating that this exclusion only excludes folders.

#### RESOURCE

    public static final ExclusionType RESOURCE

Constant indicating that this exclusion can exclude any resource.

### Method Detail

#### values

    public static ExclusionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ExclusionType c : ExclusionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ExclusionType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null